Custody providers

Bulk Update Custody Wallet Balance

Fetches on-chain token and native gas balances for the given custody wallets and stores them.

POSThttps://api.toku.com/tga/bulk-update-custody-wallet-balance

Not available to API keys yet. It will need wallets:write.

curl --request POST \
  --url 'https://api.toku.com/tga/bulk-update-custody-wallet-balance' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "custodyWalletIDs": [
    "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  ]
}'
200 response
{
  "success": true,
  "message": "string",
  "updatedCount": 0,
  "failedCount": 0
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

custodyWalletIDsstring<uuid>[]required

Allowed: at most 50 items

Response

200Successful response
successbooleanrequired
messagestringrequired
updatedCountintegerrequired
failedCountintegerrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits